Bug 157414 - wrong serial number for digital displays in Xorg.0.log
wrong serial number for digital displays in Xorg.0.log
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-05-11 10:17 EDT by Herbert Gasiorowski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-13 17:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herbert Gasiorowski 2005-05-11 10:17:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414

Description of problem:
For all digital sony monitors I have tested /var/log/Xorg.0.log
returns the same and wrong serial number!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start X

Actual Results:  every digital sony monitor returns the same serial number:

(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: SNY  Model: 1690  Serial#: 16843009

Expected Results:  The serial numbers should be different and the same as indicated
by the monitor

Additional info:

- a google search on "Manufacturer 16843009" gives quite
a number of different monitors with the same serial number!

- 16843009 = 0x01010101
Comment 1 Mike A. Harris 2005-05-13 17:17:02 EDT
The monitor serial number is not used for anything at all.  It's just
a cosmetic number.  This is very highly likely to be a flaw in the monitor
itself and not a software bug.  There are a lot of Sony monitors out there
that are known to provide flaky EDID data.  Every monitor model is supposed
to have it's own unique EDID, however there are a lot of Sony monitors
that they did not change the ID on.  There's a block of them that all
claim to be SNY0000 or SNY0001 or something similar (I don't remember
the exact code, but it's in MonitorsDb IIRC).

So this is 99% unlikely to be a bug in the X server or video driver, and
much more likely to be a flaw in the monitor itself.  If someone cares
enough to debug this far enough (which would require having the actual
monitor it occurs on), and can determine that it is really an X bug,
they should file a bug report in X.org bugzilla at:

    http://bugs.freedesktop.org in the "xorg" component

It's not something worth wasting our time on however, as the serial
number isn't actually used for anything as I've indicated above.

Setting status to "NOTABUG".
Comment 2 Herbert Gasiorowski 2005-05-17 05:52:48 EDT
I assume it ist 89% likely to be a bug:

1. It works with nearly all monitors when they where connected
   to the analog port.
2. it is very unlikely that different monitors give the same
   number as a search of google will show "Manufacturer 16843009"
3. They all return the correct Model: SNY0490,SNY1690,...

And I like the reported serial number, as I they allows a
correct inventory for all the monitors I am resposable for.

But, ok, severity is shurely low, and maybe someday I have the
time to trace the code - maybe next year ...
Comment 3 Mike A. Harris 2005-05-17 17:09:30 EDT
If you are convinced it is a bug, report it to X.org bugzilla as suggested
in comment #1.  It is a cosmetic very low priority issue at best.  If it
is determined by X.Org developers to be a real bug after you report it there,
and if they fix it, we will review any patches someone points out and consider
them for future updates.

Changing status to "WONTFIX", because if this really is a bug, we're not going
to dedicate resources to a minor cosmetic issue of this nature.
Comment 4 Herbert Gasiorowski 2005-06-15 02:41:28 EDT
After reading the specs and the code I have to admit that the version
1.3 will no longer use this location for serial number.
It is writen some bytes later and Xorg will show it some lines below.

It is all correct and works fine with all monitors.

Note You need to log in before you can comment on or make changes to this bug.